Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8204855

[JVMCI][Graal] make JVMCI API changes necessary to support libgraal

    Details

    • Type: Enhancement
    • Status: Closed
    • Priority: P4
    • Resolution: Fixed
    • Affects Version/s: 11
    • Fix Version/s: 11
    • Component/s: hotspot
    • Labels:

      Description

      JDK-8204853 will bring support for AOT compiling Graal using SubstrateVM. To make integrating JDK-8204853 easier, the JVMCI API changes and the Graal changes for adapting to them can be integrated separately. The remaining JVMCI implementation changes will be resolved by JDK-8204853.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                never Tom Rodriguez
                Reporter:
                dnsimon Douglas Simon
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: